gr-baz Package

baz_native_mux.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <baz_native_callback.h>`
Include dependency graph for baz_native_mux.h:

Go to the source code of this file.

## Classes
class | baz_native_mux
| square2 a stream of floats. More...

## Functions
BAZ_API baz_native_mux_sptr | baz_make_native_mux (int item_size, int input_count, int trigger_count=-1)
| Return a shared_ptr to a new instance of baz_native_mux.

## Variables
class BAZ_API | baz_native_mux

## Function Documentation

## ◆ baz_make_native_mux()

BAZ_API baz_native_mux_sptr baz_make_native_mux | ( | int | item_size,
|  | int | input_count,
|  | int | trigger_count = -1 )

Return a shared_ptr to a new instance of baz_native_mux.

To avoid accidental use of raw pointers, baz_native_mux's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

References BAZ_API.

## Variable Documentation

## ◆ baz_native_mux

class BAZ_API baz_native_mux